View Issue Details

IDProjectCategoryView StatusLast Update
0003713Far ManagerFile Systempublic2019-06-11 02:15
ReporterSmitisAssigned Tozg 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003713: Не согласованность panel.GetPanelDirectory и panel.SetPanelDirectory
Descriptionpanel.GetPanelDirectory для корня плагиновой панели возвращает в Name пустую строку (ArcLite, MultiArc, Observer, Event viever, Service Manager остальные не проверял, но, видимо, там так же). А panel.SetPanelDirectory в случае пустой строки в Name выдаёт ошибку, как будто команда не выполнилась, хотя плагиновая панель открывается в корне. Как-то нелогично получается. Например, если я делаю (на lua)

local dir = panel.GetPanelDirectory(nil,1)
-- что-то
if panel.SetPanelDirectory(nil,1,dir) then
-- ...

то это не работает для корня и требует дополнительной проверки (замену пустого Name на "\").

Предлагаю пустую строку в Name считать корнем и возвращать true, хотя бы для плагинов, что бы можно было использовать результат GetPanelDirectory для SetPanelDirectory без дополнительных преобразований.
Additional InformationОбсуждение: https://forum.farmanager.com/viewtopic.php?f=6&t=11654
TagsNo tags attached.
Build5407

Activities

zg

2019-06-04 12:03

developer   bugnote:0016515

тут сразу две проблемы:
1. фар не отдавал плагинам установку пустой директории. исправлено в 5407.
2. арклайт отдаёт для корня текущий путь как пустую строку. при установке — пустую строку игнорирует. исправлено в 307.

второй пункт может быть актуален для других плагинов — это уже к их авторам.

Smitis

2019-06-04 21:33

reporter   bugnote:0016516

Для ArcLite заработало, для MultiArc нет. Видимо, придётся оставить в скриптах проверку.

Issue History

Date Modified Username Field Change
2019-05-31 15:16 Smitis New Issue
2019-06-04 12:03 zg Note Added: 0016515
2019-06-04 21:33 Smitis Note Added: 0016516
2019-06-11 02:14 DrKnS Assigned To => zg
2019-06-11 02:14 DrKnS Status new => assigned
2019-06-11 02:15 DrKnS Status assigned => closed
2019-06-11 02:15 DrKnS Resolution open => fixed
2019-06-11 02:15 DrKnS Fixed in Version => 3.0
2019-06-11 02:15 DrKnS Build => 5407